Get clients
curl --request GET \
--url https://app.launchdarkly.com/api/v2/oauth/clients \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/oauth/clients"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/oauth/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "/api/v2/oauth/clients",
"type": "application/json"
}
},
"items": [
{
"_links": {
"parent": {
"href": "/api/v2/oauth/clients",
"type": "application/json"
},
"self": {
"href": "/api/v2/oauth/clients/50666563-9144-4125-b822-33f308227e45",
"type": "application/json"
}
},
"name": "<string>",
"_accountId": "<string>",
"_clientId": "<string>",
"redirectUri": "<string>",
"_creationDate": "1494437420312",
"description": "<string>",
"_clientSecret": "<string>"
}
]
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}Get clients
Get all OAuth 2.0 clients registered by your account.
GET
/
api
/
v2
/
oauth
/
clients
Get clients
